# General Translation Platform: Metti in coda i file per la traduzione
URL: https://generaltranslation.com/it/docs/platform/openapi/reference/translation/queue.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Metti in coda i file sorgente caricati per la traduzione in background. Massimo 100 file per richiesta. La struttura della risposta dipende da `gt-api-version` richiesto. Riferimento API per Metti in coda i file per la traduzione.

{/* Questo file è stato generato da Fumadocs. Non modificare direttamente questo file. Eventuali modifiche devono essere apportate eseguendo nuovamente il comando di generazione. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/translations/enqueue`

**Operation ID:** `enqueueFileTranslations`

**Tags:** `Translation`

**Summary:** Queue files for translation

Enqueue uploaded source files for background translation. Max 100 files per request. The response shape depends on the requested `gt-api-version`.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `files` (object[], required)
  - `branchId` (string)
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `fileName` (string)
  - `transformFormat` ("GTJSON" | "MDX" | "JSON" | "YAML" | "MD" | "TS" | "JS" | "HTML" | "TXT" | "PO" | "POT" | "TWILIO_CONTENT_JSON" | "LOTTIE" | "SVG" | "XCSTRINGS" | "DOT_STRINGS" | "DOT_STRINGSDICT" | "ANDROID_STRINGS")
- `targetLocales` (string[])
- `sourceLocale` (string)
- `force` (boolean) Default: `false`.
- `modelProvider` ("ANTHROPIC" | "OPENAI" | "XAI" | "GOOGLE")
- `publish` (boolean)

### Responses

**200**: Enqueued translations. Shape depends on gt-api-version (legacy before 2025-11-03.v1).
Response body (`application/json`, object | object):

**400**: Invalid request or missing source files
Response body (`application/json`, object | object):

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**402**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
